Austin Group Defect Tracker

Aardvark Mark IV


Viewing Issue Simple Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Type Date Submitted Last Update
0001332 [1003.1(2016)/Issue7+TC2] System Interfaces Objection Error 2020-04-07 10:51 2020-06-04 08:43
Reporter geoffclare View Status public  
Assigned To
Priority normal Resolution Accepted  
Status Applied  
Name Geoff Clare
Organization The Open Group
User Reference
Section waitid
Page Number 2236
Line Number 71333
Interp Status ---
Final Accepted Text
Summary 0001332: WEXITED should not be limited to processes that have exited
Description The description of WEXITED on the waitid() page (and <sys/wait>) is:

    Wait for processes that have exited.

The use of "exited" here means that waitid() calls with WEXITED are
not required to return status information for processes that have
been terminated by a signal.
Desired Action At the specified location, and also at
page 409 line 13906 section <sys/wait.h>, change:

    Wait for processes that have exited.

to:

    Wait for processes that have terminated.
Tags tc3-2008
Attached Files

- Relationships

-  Notes
(0004811)
shware_systems (reporter)
2020-04-07 16:01

I agree that could be misconstrued, but so could the desired action. I'd prefer:
Wait for processes that have exited normally, called abort(), or have been terminated due to a signal.

- Issue History
Date Modified Username Field Change
2020-04-07 10:51 geoffclare New Issue
2020-04-07 10:51 geoffclare Name => Geoff Clare
2020-04-07 10:51 geoffclare Organization => The Open Group
2020-04-07 10:51 geoffclare Section => waitid
2020-04-07 10:51 geoffclare Page Number => 2236
2020-04-07 10:51 geoffclare Line Number => 71333
2020-04-07 10:51 geoffclare Interp Status => ---
2020-04-07 16:01 shware_systems Note Added: 0004811
2020-04-30 16:06 Don Cragun Status New => Resolved
2020-04-30 16:06 Don Cragun Resolution Open => Accepted
2020-04-30 16:06 Don Cragun Tag Attached: tc3-2008
2020-06-04 08:43 geoffclare Status Resolved => Applied


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker